#include <stdio.h>
#include "task.h"
#include <pthread.h>
#include <unistd.h>

mode_data_t modes = {
    { 
        {1,1},
        {1,0},
        {0,1},
        {1,0},
        {0,1},
        {1,1}
    },
    0,
    0,
    PTHREAD_MUTEX_INITIALIZER
};

task_data_t tasks[NTASK] = {
    {0, 100000, 20, &modes},
    {1, 200000, 19, &modes},
    {2, 300000, 18, &modes},
    {3, 400000, 17, &modes},
    {4, 500000, 16, &modes},
    {5, 600000, 15, &modes},
};

int main()
{
    int i;
    pthread_t id[NTASK];
    char c;

    for (i=0; i<NTASK; i++) {
        sem_init(&modes.block[0], 0, 0);
        pthread_create(&id[i], 0, taskbody, &tasks[i]);
    }
    
    while (1) {
        c = getchar();
        if (c == 'a') modes.dest_mode = 0;
        else if (c == 'b') modes.dest_mode = 1;
        else if (c == 'q') break;
    }
    
    return 0;
}