#ifndef __TASK_H__
#define __TASK_H__

#define NTASK 6
#define NMODE 2

#include <pthread.h>
#include <semaphore.h>

typedef struct mode {
    int matrix[NTASK][NMODE];
    int curr_mode;
    int dest_mode;
    pthread_mutex_t m;
    sem_t block[NTASK];
} mode_data_t;

typedef struct taskdata {
    int index;
    int period;   //in musec
    int priority; // priorita' del task
    mode_data_t * modes;
} task_data_t;

void *taskbody(void *);

#endif
